OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.db
Class AutoAction

    java.lang.Object
      org.opennms.netmgt.eventd.db.AutoAction

public class AutoAction
extends java.lang.Object

This is an utility class used to format the event autoaction info - to be inserted into the 'events' table

Author:
  Sowmya Nataraj , OpenNMS

Constructor Summary
`AutoAction()`

Method Summary
`static java.lang.String` `format(Autoaction autoact)` Format each autoaction entry
`static java.lang.String` `format(Autoaction[] autoacts, int sz)` Format the list of autoaction entries of the event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutoAction

    public AutoAction()

Method Detail

### format

    public static java.lang.String format(Autoaction autoact)

  Format each autoaction entry

  Parameters:
    `autoact` - the entry
  Returns:
    the formatted string

### format

    public static java.lang.String format(Autoaction[] autoacts,
                                          int sz)

  Format the list of autoaction entries of the event

  Parameters:
    `autoacts` - the list
    `sz` - the size to which the formatted string is to be limited to(usually the size of the column in the database)
  Returns:
    the formatted string

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.